Subject: time-travel problemII

From: Munib A Qutaishat <[email-masked]>
Date: Tue, 8 Sep 92 11:57:25 -0700

Refering to our previous e-mail about the tinterval type append to a relation:

I have created a relation:

create testint(tint=tinterval)

Then, I append a tinterval to this relation:

* append testint (tint="[Mar 3 1991, Mar 10 1991]")\g

Query sent to backend is "append testint (tint="[Mar 3 1991, Mar 10 1991]")"
APPEND 21643
Go 
* retrieve (testint.all)\g

Query sent to backend is "retrieve (testint.all)"
---------------
| tint        |
---------------
| ['Undefined Range']|
---------------

we got the same message when the query refere to any specific filed

So, we appreciate any help to solve this problem : regarding why the retrieve query gives 'Undefined Range'?
Is the retrieve query wrong?

I have one more question. It is abbout the timepl function between an abstime and a reltime. I send you the query I am typing in and the result I get:

* retrieve (x=timepl("Jan 10 00:00:00 1990 GMT"::abstime, "@ 3 day"::reltime))\g

Query sent to backend is "retrieve (x=timepl("Jan 10 00:00:00 1990 GMT"::abstime, "@ 3 day"::reltime))"
---------------
| x           |
---------------
| Wed Oct 9 11:18:59 1985 BST|
---------------

Or when I try differently:

* retrieve (x="Jan 10 00:00:00 1990 GMT"::abstime+"@ 3 month"::reltime)\g

Query sent to backend is "retrieve (x="Jan 10 00:00:00 1990 GMT"::abstime+"@ 3 month"::reltime)"
---------------
| x           |
---------------
| Wed Oct 9 11:18:59 1985 BST|
---------------

Munib A.Q.
Cardiff 

[email-masked]

Thanks.